package com.brilliance.isc.mda.dao;


import com.brilliance.isc.bo.Usrntf;
import com.brilliance.isc.vo.manager.UsrntfVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UsrntfMapper {

    /**
     * 分页查询
     *
     * @param usrntf 主键
     * @return 实例对象
     */
    List<Usrntf> queryByPage(UsrntfVo usrntf);

    /**
     * 插入
     *
     * @param usrntf 主键
     * @return 实例对象
     */
    int insert(Usrntf usrntf);

    /**
     * 批量插入
     */
    int batchInsert(List<Usrntf> list);

    /**
     * 删除
     *
     * @param inr 主键
     * @return 实例对象
     */
    int delete(String inr);

    /**
     * 查询当前用户下是否存在未读消息
     *
     * @param rcvusr 主键
     * @return 实例对象
     */
    int queryUnRcvMsg(String rcvusr);

    /**
     * 查询当前用户下未读消息列表
     *
     * @param rcvusr 接收人
     * @return 实例对象
     */
    List<Usrntf> queryReadMsg(String rcvusr);

    /**
     * 更新接收时间
     *
     * @param inr 主键
     * @return 实例对象
     */
    int updateRcvTim(String inr);

    /**
     * 更新查看消息时间
     *
     * @param inr 主键
     * @return 实例对象
     */
    int updateReadTim(String inr);

    /**
     * 根据主键获取信息
     *
     * @param inr 主键
     * @return 实例对象
     */
    Usrntf getMsgInfo(String inr);

    /**
     * 批量更新查看时间
     */
    int batchUpdateReadTim(@Param("usrntflist") List<UsrntfVo> usrntflist);

}
